<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tema array</title>
</head>
<body>
    <script>
         var numberInput;
         var array = [];
         var suma;
         var dif;
         var produs;
         var sumaPare;
         var difImp;

         function AddNumberToCanvas()
         {
            array.push(numberInput.value());
         }

         function Suma()
         {  suma = 0;
            for(let i=0; i<array.length; i++)
            {
                suma = suma + Number(array[i]);
            }
         }

         function Diferenta()
         {
             dif = 0;
             for(let i=0; i<array.length; i++)
            {
                dif = dif - Number(array[i]);
            }
         }

         function Produs()
         {
            produs = 1;
            for(let i=0; i<array.length; i++)
            {
                produs = produs * Number(array[i]);
            }
         }

         function SumaPare()
         {
            sumaPare = 0;
            for(let i=0; i<array.length; i++)
            {
                if(Number(array[i])%2==0)
                sumaPare = sumaPare + Number(array[i]);
            }
         }

         function DiferentaImpare()
         {
            difImp = 0;
             for(let i=0; i<array.length; i++)
            {
                if(Number(array[i])%2==1)
                difImp = difImp - Number(array[i]);
            }
         }

        function setup()
        {
            //pozitii butoane
            createCanvas(400, 400);
            numberInput = createInput("", "number");
            numberInput.position(20, 30);
            numberInput.size(50);

            var addNumberButton0 = createButton("Adauga nr: ");
            addNumberButton0.position(100, 30);
            addNumberButton0.mousePressed(AddNumberToCanvas);

            var addNumberButton1 = createButton("Suma");
            addNumberButton1.position(100, 90);
            addNumberButton1.mousePressed(Suma);

            var addNumberButton2 = createButton("Diferenta");
            addNumberButton2.position(100, 120);
            addNumberButton2.mousePressed(Diferenta);

            var addNumberButton3 = createButton("Produs");
            addNumberButton3.position(100, 150);
            addNumberButton3.mousePressed(Produs);

            var addNumberButton4 = createButton("Suma pare");
            addNumberButton4.position(100, 180);
            addNumberButton4.mousePressed(SumaPare);

            var addNumberButton5 = createButton("Diferenta impare");
            addNumberButton5.position(100, 210);
            addNumberButton5 .mousePressed(DiferentaImpare);

        }

        function draw()
        {
            background("#66ccff");
            textSize(20);
            text("Introdu numere: ", 10, 20);
            for (let i = 0, pos = 10; i < array.length; i++)
            {
                text(array[i], pos, 70);
                pos = pos + array[i].length*10 + 10;
            }
            text(suma, 10, 100);
            text(dif, 10, 130);
            text(produs, 10, 160);
            text(sumaPare, 10, 190);
            text(difImp, 10, 220);
        }
        
    </script>
     <script src="https://cdnjs.cloudflare.com/ajax/libs/p5.js/1.4.1/p5.min.js" ></script>
</body>
</html>